using System;
using System.Collections.Generic;
using System.Text;
using Foss.FossDoc.ObjectModel.DataRepresentation.Plugins.Forms;
using Foss.FossDoc.ObjectModel.DataRepresentation.Plugins;
using Foss.FossDoc.ObjectModel.DataRepresentation.View;

namespace Foss.FossDoc.EDMS.InternalLetter
{
    public class FormInfo : IFormInfoOverride
    {
        public FormContext Context
        {
            get
            {
                return FormContext.Inplace;
            }
        }

        public FormPriority Priority
        {
            get
            {
                return FormPriority.MainView;
            }
        }

        public IForm CreateInstance()
        {
            return new Form();
        }

        public IFormInfo Clone()
        {
            return null;
        }

        public System.Drawing.Image Icon
        {
            get
            {
                return null;
            }
        }

        string IExtensionContextInfo.UniqueName
        {
            get
            {
                return typeof(Form).FullName;
            }
        }

        public string Name
        {
            get
            {
                return " ";
            }
        }

        public string Description
        {
            get
            {
                return "";
            }
        }

        public string[] CategoryNames
        {
            get
            {
                return new string[] 
                {
                    "FossDoc.EDMS.Document.Internal letter"
                };
            }
        }

        public string[] GetCategoryAttributeNames(string categoryName)
        {
            return null;
        }

        public string[] OverridenFromsUniqueNames
        {
            get
            {
                return new[] 
                    { 
                        Foss.FossDoc.EDMS.Plugins.Documents.Internal.InternalForm.UniqueName,
                        Foss.FossDoc.ObjectModel.DataRepresentation.View.DocumentCard.DocumentCardInplaceForm.UniqueName,
                        Foss.FossDoc.EDMS.Plugins.Documents.DocumentProjectForm.UniqueName
                    };
            }
        }
    }
}